package com.gic.haoban.manage.web.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.MaidianLogDTO;
import com.gic.haoban.manage.api.service.MaidianLogApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

@RestController
public class MaidianLogController extends WebBaseController{
	
	@Autowired
	private MaidianLogApiService maidianLogApiService;
	
	@RequestMapping("save-maidian-log")
	public HaobanResponse saveUserLoginLog(List<MaidianLogDTO> maidianLogDTOList) {
		for (MaidianLogDTO maidianLogDTO : maidianLogDTOList) {
			maidianLogApiService.insert(maidianLogDTO);
		}
		return resultResponse(HaoBanErrCode.ERR_1);
		
	}

}
